diff -crBPN --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.5.pl /home/packages/qi/SOURCES/wordpress-3.7.4/wp-login.php /home/packages/qi/SOURCES/wordpress-3.7.5/wp-login.php
*** /home/packages/qi/SOURCES/wordpress-3.7.4/wp-login.php	2014-08-06 10:40:11.000000000 +0400
--- /home/packages/qi/SOURCES/wordpress-3.7.5/wp-login.php	2014-11-20 15:25:19.000000000 +0300
***************
*** 518,524 ****
  
  ?>
  
! <form name="lostpasswordform" id="lostpasswordform" action="<?php echo esc_url( site_url( 'wp-login.php?action=lostpassword', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login" ><?php _e('Username or E-mail:') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" /></label>
--- 518,524 ----
  
  ?>
  
! <form name="lostpasswordform" id="lostpasswordform" action="<?php echo esc_url( network_site_url( 'wp-login.php?action=lostpassword', 'login_post' ) ); ?>" method="post">
  	<p>
  		<label for="user_login" ><?php _e('Username or E-mail:') ?><br />
  		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr($user_login); ?>" size="20" /></label>
***************
*** 569,574 ****
--- 569,577 ----
  	if ( isset( $_COOKIE[ $rp_cookie ] ) && 0 < strpos( $_COOKIE[ $rp_cookie ], ':' ) ) {
  		list( $rp_login, $rp_key ) = explode( ':', wp_unslash( $_COOKIE[ $rp_cookie ] ), 2 );
  		$user = check_password_reset_key( $rp_key, $rp_login );
+ 		if ( isset( $_POST['pass1'] ) && ! hash_equals( $rp_key, $_POST['rp_key'] ) ) {
+ 			$user = false;
+ 		}
  	} else {
  		$user = false;
  	}
***************
*** 611,617 ****
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo esc_url( site_url( 'wp-login.php?action=resetpass', 'login_post' ) ); ?>" method="post" autocomplete="off">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $rp_login ); ?>" autocomplete="off" />
  
  	<p>
--- 614,620 ----
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo esc_url( network_site_url( 'wp-login.php?action=resetpass', 'login_post' ) ); ?>" method="post" autocomplete="off">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $rp_login ); ?>" autocomplete="off" />
  
  	<p>
***************
*** 627,632 ****
--- 630,636 ----
  	<p class="description indicator-hint"><?php _e('Hint: The password should be at least seven characters long. To make it stronger, use upper and lower case letters, numbers and symbols like ! " ? $ % ^ &amp; ).'); ?></p>
  
  	<br class="clear" />
+ 	<input type="hidden" name="rp_key" value="<?php echo esc_attr( $rp_key ); ?>" />
  	<p class="submit"><input type="submit" name="wp-submit" id="wp-submit" class="button button-primary button-large" value="<?php esc_attr_e('Reset Password'); ?>" /></p>
  </form>
  
